package eu.mhsl.minecraft.pixelblocks;

import commands.ChessCommand;
import listeners.PlayerJumpListener;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.Objects;

public final class PixelBlocks extends JavaPlugin {
    public static PixelBlocks plugin;

    @Override
    public void onEnable() {
        PixelBlocks.plugin = this;
        this.getLogger().info("Hello World");
        getServer().getPluginManager().registerEvents(new PlayerJumpListener(), this);
        Objects.requireNonNull(getCommand("chess")).setExecutor(new ChessCommand());
    }

    @Override
    public void onDisable() {
    }
}
